Environment Perspectives
APIs to create and manage Feature Flag Environment perspectives
Adds a perspective to an environment, or updates an existing. An Environment can only have one Perspective
Account Identifier
{"value":"default"}Organization Identifier
{"value":"default_org"}The Project identifier
Environment Identifier
12345myClusterOK
The date the key was created at in milliseconds
The ID of the Environment
67891The ID of the Perspective
12345The Identifier/Common Name of the Perspective
myClusterThe date the key was last updated at in milliseconds
OK
Bad request
Unauthenticated
Unauthorized
The specified resource already exists
Internal server error
PUT /gateway/cf/admin/environments/perspectives?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&environmentIdentifier=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"perspectiveIdentifier": "12345",
"perspectiveName": "myCluster"
}{
"createdAt": 1,
"environmentId": "67891",
"perspectiveId": "12345",
"perspectiveIdentifier": "myCluster",
"updatedAt": 1
}Deletes a perspective from an environment. An Environment can only have one Perspective
Account Identifier
{"value":"default"}Organization Identifier
{"value":"default_org"}The Project identifier
Environment Identifier
No content
No content
Unauthenticated
Unauthorized
The specified resource was not found
Internal server error
DELETE /gateway/cf/admin/environments/perspectives?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&environmentIdentifier=text HTTP/1.1
Host: app.harness.io
x-api-key: YOUR_API_KEY
Accept: */*
No content
Last updated
Was this helpful?